Bug 742714 - LD_DEBUG=scopes broke proprietary nvidia driver
Summary: LD_DEBUG=scopes broke proprietary nvidia driver
Keywords:
Status: CLOSED DUPLICATE of bug 737223
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-02 00:44 UTC by nucleo
Modified: 2016-11-24 16:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 18:54:11 UTC
Type: ---


Attachments (Terms of Use)

Description nucleo 2011-10-02 00:44:37 UTC
Description of problem:
glxgears and other opengl applications crashes in libGL.so provided by proprietary nvidia driver.

Version-Release number of selected component (if applicable):
glibc-2.14.90-5 and any newer version

How reproducible:
every time

Steps to Reproduce:
1. Install nvidia driver 275.28 (should work with xorg server 1.11.1 in F16)
2. Start X and xterm
3. Try to start glxgears or glxinfo
  
Actual results:
Segmentation fault in libGL.so.275.28.
If glxgears runs in gdb then it not crashes so I am not able to get backtrace.


Additional info:
Downgrading to glibc-2.14.90-4 fixes crash.

Reverting this patch in glibc-2.14.90-5 also fixes crash
http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=73d7af4f4c2b394063cb0b3a33ee2b00b5ad80b4

Here scratch glibc-2.14.90-5 build with reverted patch which works for me http://koji.fedoraproject.org/scratch/nucleo/task_3396071/

Comment 1 Adam Williamson 2011-10-03 18:54:11 UTC

*** This bug has been marked as a duplicate of bug 737223 ***


Note You need to log in before you can comment on or make changes to this bug.